Appium+python自动化54-appium-doctor

前言

由于新版的appium desktop版本是不带appium-doctor这个包的,所以想用appium-desktop检查环境的话需要另外的安装了,在安装的时候小编又遇到了一个坑

报错信息:SyntaxError: Unexpected token …

遇到问题环境:

1.windows 10

2.nodejs v4.4.7

解决问题方案:升级nodejs v10.2.0

遇到问题

1.由于appium的新版本appium desktop是找不到这个目录:\Appium\node_modules.bin,新版本不带appium-doctor功能了,所以用npm安装了appium-doctor

2.然而输入appium-doctor后出现了报错:SyntaxError: Unexpected token …

下载最新版nodejs

1.出现报错的原因主要是nodejs版本太低了,先去官网下载最新版nodejs,官网下载地址,点这里

2.安装的时候注意勾选,添加到环境变量path下,这样就不用配置环境变量了

3.安装完之后输入node -v查看版本号

node -v

npm安装appium-doctor

1.npm是nodejs里面安装第三方包的一个管理工具,类似于python里面的pip这种,安装的方法跟pip语法也有很多相似地方

2.使用npm安装appium-doctor,-g 是代表全局安装

npm uninstall -g appium-doctor

3.输入appium-doctor就能检查环境了

卸载appium-doctor

1.使用npm卸载appium-doctor

npm uninstall -g appium-doctor

python自动化全栈课程7月开学,现在开始可以报名了

本期课程截止时间:2018-06-30

  • 发表于:
  • 原文链接https://kuaibao.qq.com/s/20180603G1ILZS00?refer=cp_1026
  • 腾讯「云+社区」是腾讯内容开放平台帐号(企鹅号)传播渠道之一,根据《腾讯内容开放平台服务协议》转载发布内容。
  • 如有侵权,请联系 yunjia_community@tencent.com 删除。

扫码关注云+社区

领取腾讯云代金券